Subject: Re: bug#18029: 24.4.50; bad shell-script-mode indentation due to ^[{([] in a here document

From: Ian Kelling <[email-masked]>
Date: Mon, 07 Jun 2021 13:57:57 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Ian Kelling <[email-masked]> writes:
>
>> emacs -Q the following files, then use indent region on the whole buffer:
>> (indent-region (point-min) (point-max)) Similar indent commands will work the
>> same. This is how they get indented:
>>
>> #!/bin/bash
>> if true; then
>>     true <<'EOF'
>> [ line beginning with one of [{( 
>> EOF
>> fi
>>
>> if true; then
>>     true
>>     # comment containing a single quote 'true
>>            fi
>>             true
>
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
>
> I'm unable to reproduce this in Emacs 28, and Emacs 25.1 is the oldest
> one I have, and I can't reproduce it there, either.
>
> But Noam tagged this as reproduced in Emacs 25.2.
>
> Are you still seeing this problem in more recent Emacs versions?

Originally reported in 24.4.50.1, but I'm in a much more recent version
and it doesn't repro. It's been fixed! Thank you for checking up on this
and please close this bug.